summaryrefslogtreecommitdiff
path: root/mkdocu.sh
diff options
context:
space:
mode:
authorKevin Chabowski <kevin@kch42.de>2012-10-04 16:19:29 +0200
committerKevin Chabowski <kevin@kch42.de>2012-10-04 16:19:29 +0200
commite78747b85b8a5cb55d31691b980824993286b188 (patch)
tree9109c05a59f84edbb9802a348730280d686e20da /mkdocu.sh
parentafbf73efcdbedef384adceaeed29d607b5a19d29 (diff)
downloadste-e78747b85b8a5cb55d31691b980824993286b188.tar.gz
ste-e78747b85b8a5cb55d31691b980824993286b188.tar.bz2
ste-e78747b85b8a5cb55d31691b980824993286b188.zip
New docu and fixed mkdocu.sh
mkdocu.sh will now test, if the executable is named "naturaldocs" or "NaturalDocs".
Diffstat (limited to 'mkdocu.sh')
-rwxr-xr-xmkdocu.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/mkdocu.sh b/mkdocu.sh
index 3f06062..bc38261 100755
--- a/mkdocu.sh
+++ b/mkdocu.sh
@@ -1,5 +1,12 @@
#!/usr/bin/env bash
+if ! ndpath=$(which NaturalDocs 2>/dev/null); then
+if ! ndpath=$(which naturaldocs 2>/dev/null); then
+echo "NaturalDocs could not be found!" >/dev/stderr
+exit 1
+fi; fi
+
+
if [ ! -d docu/nd ]; then mkdir docu/nd; fi
if [ ! -d docu/nd_project_dir ]; then mkdir docu/nd_project_dir; fi
-NaturalDocs -i . -o html docu/nd -p docu/nd_project_dir
+$ndpath -i . -o html docu/nd -p docu/nd_project_dir